<template>
    <div class="sidebar-ads__container" v-if="shouldDisplayAds">
        <div class="sidebar-ads__card" v-if="leftAds">
            <template v-if="leftAds.HyperLink && leftAds.HyperLink.length > 0">
                <a :href="leftAds.HyperLink" target="_blank" :id="ID.ADS.LOBBY_LEFT">
                    <img :src="leftAds.ImagePath" class="sidebar-ads__img pointer-events-none"/>
                </a>
            </template>
            <img v-else :src="leftAds.ImagePath" class="sidebar-ads__img" :id="ID.ADS.LOBBY_LEFT"/>
            <button @click="hideAds" aria-label="close" class="sidebar-ads__close-btn">
                <SvgIcon class-name="sidebar-ads__close-icon" svg-name="icon-x-stroke" />
                <span class="sr-only">{{ $t('close') }}</span>
            </button>
        </div>
    </div>
</template>

<script setup lang="ts">
import { useLobbySidebarAds } from '~~/composables/useAds';
const { leftAds, shouldDisplayAds, hideAds } = useLobbySidebarAds();
</script>

<style scoped>
.sidebar-ads__container {
    position: fixed;
    top: 50%;
    left: 1.5rem;
    z-index: 20;
}
.sidebar-ads__container .sidebar-ads__card {
    position: relative;
    border-radius: 0.5rem;
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.25);
}
.sidebar-ads__container .sidebar-ads__close-icon {
    width: 1rem;
    height: 1rem;
    fill: var(--textBtn);
}
.sidebar-ads__container .sidebar-ads__close-btn {
    background: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    position: absolute;
    top: -1rem;
    right: -1rem;
    border-radius: 50%;
    width: 1.5rem;
    height: 1.5rem;
}
.sidebar-ads__container .sidebar-ads__img {
    aspect-ratio: 23/35;
    width: 184px;
    object-fit: cover;
    border-radius: 0.5rem;
}
</style>